# OgreImage.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreDataStream.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Image
| Class representing an image file. More...

## Typedefs

typedef std::vector< Image * > | Ogre::ImagePtrList
typedef std::vector< const Image * > | Ogre::ConstImagePtrList

## Enumerations

enum | Ogre::ImageFlags { Ogre::IF_COMPRESSED = 0x00000001, Ogre::IF_CUBEMAP = 0x00000002, Ogre::IF_3D_TEXTURE = 0x00000004 }

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:09 2009